#define BUILDING_LIBRARY
#include <avr/io.h>
#include <libdefs.h>
#include <timer.h>
extern const PROGMEM Timer PROGMEM pgm_Timers[];
void __initTimers(void){
 
// Set Timer1 to the following:-
//		Mode 	 = TIMER_MODE_NORMAL
//		Prescale = 8
	// Save the timer mode
	timerGetData(&pgm_Timers[1])->mode = TIMER_MODE_NORMAL;
	// Set the timer mode
	
	// Mode TIMER_MODE_NORMAL is 0
	// Assume current mode settings are all 0	
		
			
	if(0 & 1){
		sbi(TCCR1A,WGM10);
	} 
		
			
	if(0 & 2){
		sbi(TCCR1A,WGM11);
	} 
		
			
	if(0 & 4){
		sbi(TCCR1B,WGM12);
	} 
		
			
	if(0 & 8){
		sbi(TCCR1B,WGM13);
	} 
		
	// Turn on the timer by setting prescaler
	timerGetData(&pgm_Timers[1])->prescale_value = 8;
	TCCR1B |= 2;
	 
// Set Timer5 to the following:-
//		Mode 	 = TIMER_MODE_CTC_OCR
//		Prescale = 8
	// Save the timer mode
	timerGetData(&pgm_Timers[5])->mode = TIMER_MODE_CTC_OCR;
	// Set the timer mode
	
	// Mode TIMER_MODE_CTC_OCR is 4
	// Assume current mode settings are all 0	
		
			
	if(4 & 1){
		sbi(TCCR5A,WGM50);
	} 
		
			
	if(4 & 2){
		sbi(TCCR5A,WGM51);
	} 
		
			
	if(4 & 4){
		sbi(TCCR5B,WGM52);
	} 
		
			
	if(4 & 8){
		sbi(TCCR5B,WGM53);
	} 
		
	// Top is stored in Compare A OCR
				OCR5A = 64000;			
				
	// Turn on the timer by setting prescaler
	timerGetData(&pgm_Timers[5])->prescale_value = 8;
	TCCR5B |= 2;
	}
